//
//  NSObject + Extension.swift
//  flutter_plugin_android_lifecycle
//
//  Created by Danilo Pena on 19/06/20.
//

import UIKit
import PhotoEditorSDK

@available(iOS 9.0, *)
extension NSObject {
    func setUpStickers() {
        StickerCategory.all.removeAll()
        if let last = StickerCategory.all.last {
            let shapes = StickerCategory(title: "Formas", imageURL: last.imageURL, stickers: last.stickers)
            StickerCategory.all.append(shapes)
        }
        createStickerSection(key: "logos", name: "Logos", index: 1)
        createStickerSection(key: "stickers", name: "Adesivos", index: 2)
    }

    private func createStickerSection(key: String, name: String, index: Int) {

        var images: [Sticker] = []
        let defaults = UserDefaults.standard
        let logos = defaults.array(forKey: key)
        var cont = 0
        logos?.forEach { logo in
            if let logoURL = URL(string: logo as! String) {
                let logoSticker = Sticker(imageURL: logoURL, thumbnailURL: nil, identifier: "\(cont) \(index)")
                cont = cont+1
                images.append(logoSticker)
            }
        }

        if !images.isEmpty {
            if let last = images.last {
                let stickerCategory = StickerCategory(title: name, imageURL: last.imageURL, stickers: images)

                StickerCategory.all.insert(stickerCategory, at: StickerCategory.all.count)
            }
        }
    }
}
