//
//  UIViewController+Extension.swift
//  flutter_plugin_android_lifecycle
//
//  Created by Danilo Pena on 19/06/20.
//

import UIKit

extension UIViewController {
    func showAlert(with title: String, message: String, titleButton: String = "OK") {
        DispatchQueue.main.async(execute: {
           let alert = UIAlertController(title: title, message: message, preferredStyle: .alert)
           alert.addAction(UIAlertAction(title: titleButton, style: .default, handler: nil))
           self.present(alert, animated: true, completion: nil)
        })
    }
}
